Package oracle.jdbc.babelfish

## Class BabelfishGenericProxy

- java.lang.Object
- - oracle.jdbc.babelfish.BabelfishGenericProxy

Direct Known Subclasses:
  `BabelfishConnection`, `BabelfishStatement`

    public abstract class BabelfishGenericProxy
    extends java.lang.Object

Defines the common behavior needed by all the babelfish proxies to support auto translation of queries or errors. All the proxies are children of this class and thus get the common behavior via inheritance.

### Constructor Summary

Constructors
`BabelfishGenericProxy()`

### Method Summary

All Methods Instance Methods Abstract Methods Concrete Methods
`protected abstract java.lang.Object` `getCreator()`
`protected abstract java.lang.Object` `getDelegate()`
`protected java.lang.Object` `post_Methods​(java.lang.reflect.Method m, java.lang.Object result)` Post method interceptor.
`protected java.lang.Object` `translateError​(java.lang.reflect.Method m, java.sql.SQLException ex)` Error interceptor.

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### BabelfishGenericProxy

    public BabelfishGenericProxy()

### Method Detail

#### getCreator

    protected abstract java.lang.Object getCreator()

Returns:

#### getDelegate

    protected abstract java.lang.Object getDelegate()

Returns:

#### translateError

    protected java.lang.Object translateError​(java.lang.reflect.Method m,
                                              java.sql.SQLException ex)
                                       throws java.sql.SQLException

Error interceptor. Handles the translation of error.

Parameters:
  `m` -
  `ex` -
Returns:
Throws:
  `java.sql.SQLException`

#### post_Methods

    protected java.lang.Object post_Methods​(java.lang.reflect.Method m,
                                            java.lang.Object result)

Post method interceptor. Sets the translator in the returning object if the returning object is a child of BabelfishGenericProxy

Parameters:
  `m` -
  `result` -
Returns: